## LassoSoapBindingConsent LassoSoapBindingConsent — <soapbinding:ConsentType> |

## Functions

LassoSoapBindingConsent * | lasso_soap_binding_consent_new ()

## Types and Values

struct | LassoSoapBindingConsent

## Description

Figure 133. Schema fragment for soapbinding:ConsentType

    <xs:complexType name="ConsentType">
      <xs:attribute name="uri" type="xs:anyURI" use="required"/>
      <xs:attribute name="timestamp" type="xs:dateTime" use="optional"/>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
      <xs:attribute ref="S:mustUnderstand" use="optional"/>
      <xs:attribute ref="S:actor" use="optional"/>
    </xs:complexType>
    <xs:element name="Consent" type="ConsentType"/>

## Functions

### lasso_soap_binding_consent_new ()

    LassoSoapBindingConsent *
    lasso_soap_binding_consent_new (const gchar *uri);

## Types and Values

### struct LassoSoapBindingConsent

    struct LassoSoapBindingConsent {
    	LassoNode parent;

    	gchar *uri;
    	gchar *timestamp;
    	gchar *id;
    	gchar *mustUnderstand;
    	gchar *actor;
    };